Bug 1575645 - Review Request: fmf - Flexible Metadata Format
Summary: Review Request: fmf - Flexible Metadata Format
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-07 13:56 UTC by Petr Šplíchal
Modified: 2018-05-28 16:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-10 12:57:28 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Petr Šplíchal 2018-05-07 13:56:29 UTC
Spec URL: https://github.com/psss/fmf/blob/master/fmf.spec
SRPM URL: https://github.com/psss/fmf/releases/download/0.3/fmf-0.3-1.el7.src.rpm
Description: Flexible Metadata Format
Fedora Account System Username: psss

Comment 1 Petr Šplíchal 2018-05-07 14:00:42 UTC
Available in COPR as well:
https://copr.fedorainfracloud.org/coprs/psss/fmf/

Tested on RHEL6, RHEL7, F26, F27, F28 and Rawhide.
https://copr.fedorainfracloud.org/coprs/psss/fmf/build/745272/

Comment 2 Robert-André Mauchin 🐧 2018-05-07 18:15:30 UTC
 - Build error:

+ mkdir -p /builddir/build/BUILDROOT/fmf-0.3-1.fc28.x86_64/usr/share/man/man1
+ install -pm 644 'fmf.1*' /builddir/build/BUILDROOT/fmf-0.3-1.fc28.x86_64/usr/share/man/man1
BUILDSTDERR: install: cannot stat 'fmf.1*': No such file or directory

I can't find the man page anywhere.

 - Please build the docs with Sphinx

Comment 3 Robert-André Mauchin 🐧 2018-05-07 18:21:48 UTC
 - The source downloaded from https://github.com/psss/fmf/archive/%{version}/fmf-%{version}.tar.gz does not contain the man page while the one in your SRPM does. The sources *must* be the same.

 - The man page should not be installed as a gzipped archive. The compression will be automatically and might change in the future.

Comment 4 Petr Šplíchal 2018-05-09 08:46:17 UTC
Thanks for the feedback, Robert-André. This should now be fixed:

https://github.com/psss/fmf/releases/download/0.4/fmf-0.4-1.el7.src.rpm
https://github.com/psss/fmf/releases/download/0.4/fmf-0.4.tar.gz

Comment 5 Robert-André Mauchin 🐧 2018-05-09 16:29:54 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated". 31 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/fmf/review-fmf/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 18 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-fmf , python3-fmf
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: fmf-0.4-1.fc29.noarch.rpm
          python2-fmf-0.4-1.fc29.noarch.rpm
          python3-fmf-0.4-1.fc29.noarch.rpm
          fmf-0.4-1.fc29.src.rpm
fmf.noarch: W: hidden-file-or-dir /usr/share/doc/fmf/examples/wget/.hidden
fmf.noarch: W: hidden-file-or-dir /usr/share/doc/fmf/examples/wget/.hidden
fmf.noarch: W: hidden-file-or-dir /usr/share/doc/fmf/examples/wget/.hidden.fmf
python2-fmf.noarch: W: no-documentation
python3-fmf.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
fmf.noarch: W: invalid-url URL: https://github.com/psss/fmf <urlopen error [Errno -2] Name or service not known>
fmf.noarch: W: hidden-file-or-dir /usr/share/doc/fmf/examples/wget/.hidden
fmf.noarch: W: hidden-file-or-dir /usr/share/doc/fmf/examples/wget/.hidden
fmf.noarch: W: hidden-file-or-dir /usr/share/doc/fmf/examples/wget/.hidden.fmf
python3-fmf.noarch: W: invalid-url URL: https://github.com/psss/fmf <urlopen error [Errno -2] Name or service not known>
python3-fmf.noarch: W: no-documentation
python2-fmf.noarch: W: invalid-url URL: https://github.com/psss/fmf <urlopen error [Errno -2] Name or service not known>
python2-fmf.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 8 warnings.

Comment 6 Gwyn Ciesla 2018-05-10 12:19:13 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/fmf

Comment 7 Petr Šplíchal 2018-05-10 12:57:28 UTC
Successfully built for all branches:

fmf-0.4-1.el6
fmf-0.4-1.el7
fmf-0.4-1.fc26
fmf-0.4-1.fc27
fmf-0.4-1.fc28
fmf-0.4-1.fc29

Thanks for the review, Robert.

Comment 8 Fedora Update System 2018-05-10 13:03:47 UTC
fmf-0.4-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-142e7c3179

Comment 9 Fedora Update System 2018-05-10 13:04:33 UTC
fmf-0.4-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-71977423ac

Comment 10 Fedora Update System 2018-05-10 13:05:05 UTC
fmf-0.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-cea87af9ca

Comment 11 Fedora Update System 2018-05-10 13:05:27 UTC
fmf-0.4-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-48b9635137

Comment 12 Fedora Update System 2018-05-10 13:05:48 UTC
fmf-0.4-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c52f7ac09d

Comment 13 Fedora Update System 2018-05-10 20:01:56 UTC
fmf-0.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-48b9635137

Comment 14 Fedora Update System 2018-05-11 00:48:46 UTC
fmf-0.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-cea87af9ca

Comment 15 Fedora Update System 2018-05-11 01:34:53 UTC
fmf-0.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-71977423ac

Comment 16 Fedora Update System 2018-05-11 01:38:49 UTC
fmf-0.4-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-142e7c3179

Comment 17 Fedora Update System 2018-05-11 02:00:34 UTC
fmf-0.4-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c52f7ac09d

Comment 18 Fedora Update System 2018-05-21 14:01:01 UTC
fmf-0.4-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2018-05-21 14:03:10 UTC
fmf-0.4-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2018-05-21 14:20:24 UTC
fmf-0.4-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2018-05-28 16:06:10 UTC
fmf-0.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2018-05-28 16:46:03 UTC
fmf-0.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.